<!DOCTYPE html>
<html lang='en'>
<head>
<title>guix - Wojtek's customized Guix</title>
<meta name='generator' content='cgit v1.2.3'/>
<meta name='robots' content='noindex, nofollow'/>
<link rel='stylesheet' type='text/css' href='/cgit-static/cgit.css'/>
<link rel='stylesheet' type='text/css' href='/cgit-static/better-cgit-markdown-heading-color.css'/>
<link rel='shortcut icon' href='/cgit-static/favicon.ico'/>
<link rel='alternate' title='Atom feed' href='https://git.koszko.org/guix/atom/etc/news.scm?h=koszko' type='application/atom+xml'/>
</head>
<body>
<div id='cgit'><table id='header'>
<tr>
<td class='logo' rowspan='2'><a href='/'><img src='https://git.koszko.org/cgit-static/cgit.png' alt='cgit logo'/></a></td>
<td class='main'><a href='/'>index</a> : <a href='/guix/'>guix</a></td><td class='form'><form method='get'>
<input type='hidden' name='id' value='8636854d18d29f7638d5f55d1f7bd3c170585e70'/><select name='h' onchange='this.form.submit();'>
<option value='koszko' selected='selected'>koszko</option>
<option value='koszko-scripts'>koszko-scripts</option>
</select> <input type='submit' value='switch'/></form></td></tr>
<tr><td class='sub'>Wojtek's customized Guix</td><td class='sub right'>x</td><td class='sub right'></td></tr></table>
<table class='tabs'><tr><td>
<a class='active' href='/guix/about/'>about</a><a href='/guix/'>summary</a><a href='/guix/refs/?id=79d95394c0937d5bf1cebb0c7b941c5ecb1a73a9'>refs</a><a href='/guix/log/'>log</a><a href='/guix/tree/?id=79d95394c0937d5bf1cebb0c7b941c5ecb1a73a9'>tree</a><a href='/guix/commit/?id=79d95394c0937d5bf1cebb0c7b941c5ecb1a73a9'>commit</a><a href='/guix/diff/?id=79d95394c0937d5bf1cebb0c7b941c5ecb1a73a9'>diff</a></td><td class='form'><form class='right' method='get' action='/guix/log/'>
<input type='hidden' name='id' value='79d95394c0937d5bf1cebb0c7b941c5ecb1a73a9'/><select name='qt'>
<option value='grep'>log msg</option>
<option value='author'>author</option>
<option value='committer'>committer</option>
<option value='range'>range</option>
</select>
<input class='txt' type='search' size='10' name='q' value=''/>
<input type='submit' value='search'/>
</form>
</td></tr></table>
<div class='content'><div id='summary'><pre>
There is no longer support for 8 bit color depth in TigerVNC (see:
https://github.com/TigerVNC/tigervnc/commit/e86d8720ba1e79b486ca29a5c2b27fa25811e6a2);
using it causes a fatal error.

Submitted upstream at: https://github.com/canonical/lightdm/pull/265.

diff --git a/data/lightdm.conf b/data/lightdm.conf
index 0df38429..60e3e8b4 100644
--- a/data/lightdm.conf
+++ b/data/lightdm.conf
@@ -160,4 +160,4 @@
 #listen-address=
 #width=1024
 #height=768
-#depth=8
+#depth=24
diff --git a/src/x-server-xvnc.c b/src/x-server-xvnc.c
index 68340d53..27ca4454 100644
--- a/src/x-server-xvnc.c
+++ b/src/x-server-xvnc.c
@@ -127,7 +127,7 @@ x_server_xvnc_init (XServerXVNC *server)
     XServerXVNCPrivate *priv = x_server_xvnc_get_instance_private (server);
     priv-&gt;width = 1024;
     priv-&gt;height = 768;
-    priv-&gt;depth = 8;
+    priv-&gt;depth = 24;
 }
 
 static void
diff --git a/tests/scripts/vnc-command.conf b/tests/scripts/vnc-command.conf
index 0f1e25fd..335956d9 100644
--- a/tests/scripts/vnc-command.conf
+++ b/tests/scripts/vnc-command.conf
@@ -19,7 +19,7 @@ command=Xvnc -option
 #?VNC-CLIENT CONNECT
 
 # Xvnc server starts
-#?XVNC-0 START GEOMETRY=1024x768 DEPTH=8 OPTION=TRUE
+#?XVNC-0 START GEOMETRY=1024x768 DEPTH=24 OPTION=TRUE
 
 # Daemon connects when X server is ready
 #?*XVNC-0 INDICATE-READY
diff --git a/tests/scripts/vnc-guest.conf b/tests/scripts/vnc-guest.conf
index 431bb244..ce2b97db 100644
--- a/tests/scripts/vnc-guest.conf
+++ b/tests/scripts/vnc-guest.conf
@@ -21,7 +21,7 @@ user-session=default
 #?VNC-CLIENT CONNECT
 
 # Xvnc server starts
-#?XVNC-0 START GEOMETRY=1024x768 DEPTH=8 OPTION=FALSE
+#?XVNC-0 START GEOMETRY=1024x768 DEPTH=24 OPTION=FALSE
 
 # Daemon connects when X server is ready
 #?*XVNC-0 INDICATE-READY
diff --git a/tests/scripts/vnc-login.conf b/tests/scripts/vnc-login.conf
index cdfe17b8..f0d65b7f 100644
--- a/tests/scripts/vnc-login.conf
+++ b/tests/scripts/vnc-login.conf
@@ -21,7 +21,7 @@ user-session=default
 #?VNC-CLIENT CONNECT
 
 # Xvnc server starts
-#?XVNC-0 START GEOMETRY=1024x768 DEPTH=8 OPTION=FALSE
+#?XVNC-0 START GEOMETRY=1024x768 DEPTH=24 OPTION=FALSE
 
 # Daemon connects when X server is ready
 #?*XVNC-0 INDICATE-READY
diff --git a/tests/scripts/vnc-open-file-descriptors.conf b/tests/scripts/vnc-open-file-descriptors.conf
index 753c84dd..e5d35730 100644
--- a/tests/scripts/vnc-open-file-descriptors.conf
+++ b/tests/scripts/vnc-open-file-descriptors.conf
@@ -21,7 +21,7 @@ user-session=default
 #?VNC-CLIENT CONNECT
 
 # Xvnc server starts
-#?XVNC-0 START GEOMETRY=1024x768 DEPTH=8 OPTION=FALSE
+#?XVNC-0 START GEOMETRY=1024x768 DEPTH=24 OPTION=FALSE
 
 # Daemon connects when X server is ready
 #?*XVNC-0 INDICATE-READY
</pre>
</div></div> <!-- class=content -->
                         <div class=footer>generated by
                             <a href="https://git.zx2c4.com/cgit/about/">
                                 cgit
                             </a>
                         </div>
                        </div> <!-- id=cgit -->
</body>
</html>
